Full name: projects.locations.instances.views.get
Gets a specific view. Use this method to retrieve the configuration of a dashboard or case/alert overview view, including its display name and the collection of widgets it contains.
HTTP request
GET https://{endpoint}/v1beta/{name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the View to retrieve. Format: projects/{project}/locations/{location}/instances/{instance}/views/{view} |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of View.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.views.get
For more information, see the IAM documentation.